Public Class frmDemo

  Private Sub btnDisplay_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDisplay.Click
    'Demonstrate Sub procedure calling other Sub procedures
    FirstPart()
    lstOutput.Items.Add(4 & " from event procedure")
  End Sub

  Sub FirstPart()
    lstOutput.Items.Add(1 & " from FirstPart")
    SecondPart()
    lstOutput.Items.Add(3 & " from FirstPart")
  End Sub

  Sub SecondPart()
    lstOutput.Items.Add(2 & " from SecondPart")
  End Sub

End Class
